
def manage_addZMailIn(self, id, title, email_address, method, REQUEST=None):
    """

    Add a ZMailIn Instance to an Object Manager.
    
    """

class ZMailIn: 
    """

    A ZMailIn object has an email address, or email domain address, associated with it.
    This ZMailIn object is responsible for handling all emails arriving for that email address
    or email domain address.

    """
    
    __constructor__ = manage_addZMailIn
    
    #__extends__ = ('OFS.SimpleItem.SimpleItem',)

    def manage_edit(self, title, email_address, method, REQUEST): 
        """

        Edit an existing ZMailIn Object.
  
        """
        
    def manage_beforeDelete(self, container, unknown):
        """

        Removes the ZMailIn object from the GlobalZMailInCatalog.
        
        """
        
    def postZMailMessage(self, file):
        """
        
        This method is the first to be called with the email file.
        It will create a dictionary containing all the information about the Mail Message
        The dictionary is then handed to the method stated in self.method for processing.
        
        Passes to the method a dictionary in the following format
        
             theMail['localpart'] = The local part of the email address
             
             theMail['body'] = The body of the email
             
             theMail['headers'] = {'header':'value'} dictionary
             
             theMail['attachments'] = {'filename':'file'} dictionary
        
        """
